Generated
Docker
Skitflow API reference for Docker endpoints.
Authorization
Authorization AuthorizationBearer <token>
In: header
Query Parameters
serverId?string
Response Body
application/json
application/json
curl -X GET "https://example.com/docker.getContainers"Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/docker.restartContainer" \ -H "Content-Type: application/json" \ -d '{ "containerId": "string" }'Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization AuthorizationBearer <token>
In: header
Query Parameters
containerId*string
serverId?string
Response Body
application/json
application/json
curl -X GET "https://example.com/docker.getConfig?containerId=string"Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization AuthorizationBearer <token>
In: header
Query Parameters
appType?|
appName*string
serverId?string
Response Body
application/json
application/json
curl -X GET "https://example.com/docker.getContainersByAppNameMatch?appName=string"Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}Authorization
Authorization AuthorizationBearer <token>
In: header
Query Parameters
appName*string
serverId?string
Response Body
application/json
application/json
curl -X GET "https://example.com/docker.getContainersByAppLabel?appName=string"Empty
{ "message": "string", "code": "string", "issues": [ { "message": "string" } ]}